import type PageObject from '../page-object';
export declare const DOM_QUERY: unique symbol;
export declare const CLONE_WITH_INDEX: unique symbol;
/**
 * A constructor for a {@link PageObject} or {@link PageObject} subclass
 */
export declare type PageObjectConstructor<T extends PageObject> = new (...args: ConstructorParameters<typeof PageObject>) => T | PageObject;
/**
 * Helper type for a {@link PageObject}s and subclasses that are known to match an element
 *
 * @see {@link ArrayStub#map} etc.
 */
export declare type WithElement<T> = T & {
    element: Element;
};
